## qt4-experimental 4.7.0~git20100520-0maemo1

=== debian/changelog ===
qt4-experimental (4.7.0~git20100520-0maemo1) unstable; urgency=low

  * Pull latest changes from 4.7

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 20 May 2010 09:29:01 +0200

qt4-experimental (4.7.0~git20100518-0maemo1) unstable; urgency=low

  * Temporarily enable the GL_SCISSOR tests

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 18 May 2010 09:29:01 +0200

qt4-experimental (4.7.0~git20100505-0maemo1) unstable; urgency=low

  * Rename all packages to qt4-experimental

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 5 May 2010 09:29:01 +0200

qt4-maemo5 (4.7.0~git20100329-0maemo1) unstable; urgency=low

  * Also package QML's import/ directory

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 29 Mar 2010 09:29:01 +0200

qt4-maemo5 (4.7.0~git20100312-0maemo1) unstable; urgency=low

  * Upgrade to Qt 4.7

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 16 Mar 2010 09:29:01 +0200

qt4-maemo5 (4.6.2~git20100212-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 12 Feb 2010 09:29:01 +0200

qt4-maemo5 (4.6.2~git20100210-0maemo1) unstable; urgency=low

  * Add transitional package for libqt4-maemo5-opengl-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 10 Feb 2010 09:29:01 +0200

qt4-maemo5 (4.6.2~git20100208-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 03 Feb 2010 17:29:01 +0200

qt4-maemo5 (4.6.2~git20100203-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 03 Feb 2010 14:29:01 +0200

qt4-maemo5 (4.6.2~git20100128-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch
  * Also package libQtUiTools.a

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 28 Jan 2010 11:29:01 +0200

qt4-maemo5 (4.6.1~git20100122-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 22 Jan 2010 15:29:01 +0200

qt4-maemo5 (4.6.0~git20100119-1maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 19 Jan 2010 10:01:01 +0200

qt4-maemo5 (4.6.0~git20100119-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 19 Jan 2010 09:01:01 +0200

qt4-maemo5 (4.6.0~git20100115-0maemo1) unstable; urgency=low

  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 15 Jan 2010 10:29:01 +0200

qt4-maemo5 (4.6.0~git20100111-0maemo1) unstable; urgency=low

  * Also package lrelease and lupdate
  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 01 Jan 2010 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091218-0maemo1) unstable; urgency=low

  * Also strip the host-tools in libqt4-maemo5-dev
  * Pull in latest changes from Qt's 4.6 branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 18 Dec 2009 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091215-0maemo1) unstable; urgency=low

  * Fix dependencies of libQtMultimedia

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 15 Dec 2009 11:29:01 +0200

qt4-maemo5 (4.6.0~git20091214-0maemo1) unstable; urgency=low

  * Also package accessible plugins and the N900 QtMultimedia plugin

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 14 Dec 2009 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091212-0maemo1) unstable; urgency=low

  * OpenGL fix

 -- Qt Development Frameworks <qt-info@nokia.com>  Sat, 12 Dec 2009 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091211-0maemo1) unstable; urgency=low

  * Pulled latest source code

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 11 Dec 2009 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091207-0maemo1) unstable; urgency=low

  * Added mce-dev as build requirement

 -- Qt Development Frameworks <qt-info@nokia.com>  Sun, 07 Dec 2009 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091206-0maemo1) unstable; urgency=low

  * Also package maemo5 examples

 -- Qt Development Frameworks <qt-info@nokia.com>  Sun, 06 Dec 2009 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091204-0maemo1) unstable; urgency=low

  * Also package libQtMultimedia
  * Updated dependencies of libqt4-maemo5-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Fri, 04 Nov 2009 15:29:01 +0200

qt4-maemo5 (4.6.0~git20091125-0maemo1) unstable; urgency=low

  * Pulled latest source code
  * Removed libqt4-maemo5-opengl-dev, merged into libqt4-maemo5-dev

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 25 Nov 2009 11:07:01 +0200

qt4-maemo5 (4.6.0~git20091119-0maemo1) unstable; urgency=low

  * Pulled latest source code

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 19 Nov 2009 18:50:01 +0200

qt4-maemo5 (4.6.0~git20091118-0maemo1) unstable; urgency=low

  * Also install qdbuscpp2xml and qdbusxml2cpp

 -- Qt Development Frameworks <qt-info@nokia.com>  Wed, 18 Nov 2009 15:33:01 +0200

qt4-maemo5 (4.6.0~git20091117-0maemo1) unstable; urgency=low

  * Fix dependencies for the QtOpenGL package

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 17 Nov 2009 15:33:01 +0200

qt4-maemo5 (4.6.0~git20091116-0maemo1) unstable; urgency=low

  * Exclude .git/ directory from source packages

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 16 Nov 2009 17:23:01 +0200

qt4-maemo5 (4.6.0~git20091105-0maemo1) unstable; urgency=low

  * Initial packaging of Qt 4.6 for fremantle.

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 05 Nov 2009 17:52:01 +0200
