## qt4-experimental 4.7.0~git20100614-0maemo1

=== debian/changelog ===
qt4-experimental (4.7.0~git20100614-0maemo1) unstable; urgency=low

  * Pull latest changes from 4.7

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 14 Jun 2010 09:29:01 +0200
