## qt4-experimental 4.7.0~git20100624-0maemo1

=== debian/changelog ===
qt4-experimental (4.7.0~git20100624-0maemo1) unstable; urgency=low

  * Give QML Viewer a desktop file and an icon

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 24 Jun 2010 09:29:01 +0200
