## qt4-experimental 4.7.0~git20100628-0maemo1

=== debian/changelog ===
qt4-experimental (4.7.0~git20100628-0maemo1) unstable; urgency=low

  * Install QML Viewer icon and sync with latest 4.7

 -- Qt Development Frameworks <qt-info@nokia.com>  Mon, 28 Jun 2010 09:29:01 +0200
