## qt4-experimental 4.7.0~git20100728-0maemo1

=== debian/changelog ===
qt4-experimental (4.7.0~git20100728-0maemo1) unstable; urgency=low

  * Pull latest changes from 4.7.0 release branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 28 Jul 2010 09:29:01 +0200

qt4-experimental (4.7.0~git20100715-0maemo1) unstable; urgency=low

  * Pull latest changes from 4.7

 -- Qt Development Frameworks <qt-info@nokia.com>  Thu, 15 Jul 2010 09:29:01 +0200
