=== debian/rules ===
--- 
+++ 
@@ -127,6 +127,7 @@
 	$(MAKE) -C tools/qdbus/qdbuscpp2xml
 
 build-qml-tool:
+	bin/qmake -o debian/qmlviewer-experimental-desktop/Makefile debian/qmlviewer-experimental-desktop/qmlviewer-experimental-desktop.pro
 	bin/qmake -o tools/qml/Makefile tools/qml/qml.pro
 	$(MAKE) -C tools/qml
 
@@ -162,6 +163,7 @@
 	$(MAKE) -C tools/designer/src/uitools $(DEB_MAKE_INSTALL_TARGET)
 
 install-qml-tool:
+	$(MAKE) -C debian/qmlviewer-experimental-desktop $(DEB_MAKE_INSTALL_TARGET)
 	$(MAKE) -C tools/qml $(DEB_MAKE_INSTALL_TARGET)
 
 clean::
@@ -240,9 +242,3 @@
 #$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
 #	if test -e debian/$(cdbs_curpkg).lintian; then \
 #	    install -p -D -m644 debian/$(cdbs_curpkg).lintian \
-#	    debian/$(cdbs_curpkg)/usr/share/lintian/overrides/$(cdbs_curpkg); \
-#        fi
-
-# Generate shlibs local files
-#$(patsubst %,binary-fixup/%,$(DEB_ALL_PACKAGES)) :: binary-fixup/%: binary-strip/%
-#	if test -e debian/$(cdbs_curpkg)/DEBIAN/shlibs ; then \
