=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
  libgles2-sgx-img-dev [arm armel], opengles-sgx-img-common-dev [arm armel],
  libgl-dev [i386], libgl1 [i386],
  libxau-dev, libxcb1-dev, libxdmcp-dev, libexpat1-dev,  opengles-sgx-img-common [arm armel],
- libsqlite3-dev, libsqlite3-0, libssl-dev, icd2-osso-ic-dev, libgtk2.0-dev, libhildon1-dev, libhildonfm2-dev, libasound2-dev, mce-dev, libpulse-dev, hildon-input-method-framework-dev
+ libsqlite3-dev, libsqlite3-0, libssl-dev, icd2-osso-ic-dev, libgtk2.0-dev, libhildon1-dev,
+ libhildonfm2-dev, libasound2-dev, mce-dev, libpulse-dev, hildon-input-method-framework-dev,
+ libconnsettings0-dev, libicd-network-wlan-dev
 Standards-Version: 3.7.3
 
 Package: libqt4-experimental-core
@@ -263,5 +265,3 @@
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This packages contains the debugging symbols for the Qt 4 XML libraries.
-
