## qt4-experimental 4.7.0~git20100824-0maemo1

=== debian/changelog ===
qt4-experimental (4.7.0~git20100824-0maemo1) unstable; urgency=low

  * Pull latest changes from 4.7.0 release branch

 -- Qt Development Frameworks <qt-info@nokia.com>  Tue, 24 Aug 2010 09:29:01 +0200
